import request from '@/utils/request'

export function appGetUserInfo() {
  return request({
    url: '/app/user/userInfo',
    method: 'get'
  })
}

// 更新用户设置
export function appUpdateUserSetting(data) {
  return request({
    url: "/app/user/updateSetting",
    method: 'put',
    data
  })
}

// 根据精准手机号获取用户信息
export function appGetByEqPhone(eqPhonenumber) {
  return request({
    url: "/app/user/getByEqPhone",
    method: 'get',
    params: {
      eqPhonenumber
    }
  })
}


